{
  pkgs ? import <nixpkgs> { },
}:

pkgs.mkShell {
  packages = [
    (pkgs.python3.withPackages (
      ps:
      builtins.attrValues {
        inherit (ps) setuptools pyyaml types-pyyaml;
      }
    ))
  ]
  ++ builtins.attrValues {
    inherit (pkgs) yt-dlp gallery-dl ffmpeg;
  };
  buildInputs = [ ];
}
